/* Tools Card CSS */
.tool-sect {
    text-align: center;
}

.card_grid {
    margin-top: 3rem;
    display: grid;
    grid-template-columns: repeat(3, minmax(200px, 1fr));
    justify-content: center;
    align-items: center;
    gap: 1.5rem;
}

.card {
    width: 100%;
    margin: 0 auto;
    padding: 20px;
    border-top: 5px solid var(--secondary-color) !important;
    border-radius: 10px !important;
    box-shadow: 0 10px 10px rgba(23, 79, 138, 0.1);
    align-items: center;
    gap: 20px;
    text-decoration: none;
    /* Removes underline from anchor tags */
    color: inherit;
    /* Ensures the text color matches the card content */
}

h2.card_title {
    font-size: 22px;
    text-transform: uppercase;
}

.card h2,
.card p {
    color: var(--primary-color);
}

.card-1,
.card-2,
.card-3 {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.card_content {
    text-align: center;
}

.card_img, .card_icon{
    width: 60px;
    height: 60px;
    display: block;
    font-size: 60px;
}

@media (max-width: 768px) {
    .card_grid {
        grid-template-columns: repeat(2, minmax(200px, 1fr));
        align-items: stretch;
    }

    .card {
        max-width: 100%;
    }
}

@media screen and (max-width: 500px) {
    .card_grid {
        grid-template-columns: repeat(1, minmax(200px, 1fr));
    }
}

/* Tool Section Content CSS */
.tool-sect-cont {
    background-color: var(--primary-color);
    border-radius: 10px;
    text-align: center;
}

.section-title {
    font-size: 2.5rem;
    color: white !important;
    margin-bottom: 20px;
}

.section-description {
    font-size: 1.25rem;
    color: white !important;
    text-align: center;
    margin-bottom: 30px;
    max-width: 700px;
    margin: 0 auto 30px;
}

/* Feature Sections */
.feature-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 20px;
    padding: 0px 20px 20px 20px;
}

.feature-section {
    flex: 1 1 calc(33.333% - 20px);
    padding: 20px;
    border-radius: 10px;
    background-color: white;
}

.feature-title {
    font-size: 23px;
    color: var(--primary-color);
    margin-bottom: 15px;
    text-align: center;
}

.feature-section p {
    color: var(--tertiary-color);
    font-size: 1.1rem;
}

/* CTA Section */
.cta-section {
    text-align: center;
    padding: 20px;
    background-color: var(--primary-color);
    color: #fff;
    border-radius: 10px;
}

.cta-title {
    font-size: 2rem;
    color: #fff;
    margin-bottom: 15px;
}

.cta-section p {
    font-size: 1.1rem;
    margin-bottom: 20px;
}


/* Responsive Design */
@media (max-width: 768px) {
    .section-title {
        font-size: 22px;
    }

    .section-description {
        font-size: 1.15rem;
    }

    .feature-title {
        font-size: 1.5rem;
    }

    .feature-section {
        flex: 1 1 100%;
    }
}